Subject: Re: [PATCH net-next 0/9] inet: frag: cleanup and update

From: Florian Westphal <[email-masked]>
Date: Mon, 28 Jul 2014 10:00:49 +0200

David Miller <[email-masked]> wrote:
> From: Nikolay Aleksandrov <[email-masked]>
> Date: Thu, 24 Jul 2014 16:50:28 +0200
> 
> > The end goal of this patchset is to remove the LRU list and to move the
> > frag eviction to a work queue. It also does a couple of necessary cleanups
> > and fixes. Brief patch descriptions:
> 
> Ok I decided to apply this series.
> 
> Honestly I thought the frag counter would be useful for diagnosing problems
> ("are there a lot of frag queues bunched up on my machine?").  But whatever.
> 
> You could make it accurate again by just scanning the hash table really
> quickly and counting how many entries you see, if you wanted to.

Right.  In case someone reports a bug vs. "bogus frag counter" either
myself or Nik will submit a patch to do this.

Thanks David.